<?php

namespace App\Service;

use App\Repository\TagRepository;
use Doctrine\ORM\EntityManagerInterface;

class TagService
{
    public function __construct(
        protected readonly TagRepository $tagRepository,
        protected EntityManagerInterface $em
    )
    {
        
    }

    public function clearOrphansTags(): void
    {
        $tags = $this->tagRepository->findOrphanTags();
        foreach($tags as $tag) {
            $this->em->remove($tag);
        }
        $this->em->flush();
    }
}
